Subject: Re: IPv6 PD

From: <[email-masked]>
Date: Tue, 25 Jul 2006 06:42:26 -0500 (CDT)

Good morning all. AFAIK, there is currently no defined way (other than via DHCPv6) to do IPv6 PD. It may well be that between a PE and CE, DHCPv6 is neither required nor desired, but PD is. 

Over the past twelve months or so there has been some interest in ICMPv6 PD expressed to me. I'm considering submitting a related draft, and seeking a co-author. Kindly reply off-line.

Best Regards,

Tim Enos
1Sam16:7

>From: [email-masked]
>Date: 2006/07/24 Mon PM 09:06:49 CDT
>To: "Templin, Fred L" <[email-masked]>, 
	Iljitsch van Beijnum <[email-masked]>
>Cc: IETF IPv6 Mailing List <[email-masked]>
>Subject: IPv6 PD

>Hi Fred/all,
>
>The former subject line became far too unwieldy, and the subject of IPv6 referred to in the attached exchange is of interest.
>
>IPv6 PD is between two routers, not a router and an end host. Using ISP parlance, the delegating router is the ISP PE (delegating) router and the requesting router is the CE router. 
>
>The abstract of RFC 3769 which defines the IPv6 PD requirements says: "This document describes requirements for how IPv6 address prefixes
>should be delegated to an IPv6 subscriber's network (or "site")." Section 1 echoes this point. It's logical to infer from Section 4 that the CPE is the requesting router (not host): "A rogue PE can issue bogus prefixes to a requesting router."
>
>Given the way RFC 3633 is written, there is reason to pre-suppose that the client will behave as a router. In DHCPv6 PD, the ISP router that serves as the DHCPv6 server is the delegating router. The CPE that serves as the DHCPv6 client is the requesting router (Section 3). Section 5.1 illustrates an example architecture wherein this is shown. The point is also made that the requesting router subnets whatever prefixes are delegated to it and assigns those longer prefixes to links within the subscriber network.
>
>a. There has neither ever been nor is there now a standard defining ICMPv6 PD. There are however at least three expired drafts (of which I am aware) on the subject:
>i) draft-haberman-ipngwg-auto-prefix-02.txt
>ii) draft-bykim-ipv6-hpd-01.txt
>iii) draft-arunt-prefix-delegation-using-icmpv6-00.txt
>b. There might need to be a separate ICMPv6 packet type defined by the IANA for ICMPv6 PD. Note that all three of the aforementioned drafts define at least one such type. None of these exist: icmpv6-parameters.
>
>
>>From: "Templin, Fred L" <[email-masked]>
>>Date: 2006/07/24 Mon PM 07:11:38 CDT
>>To: Iljitsch van Beijnum <[email-masked]>
>>Cc: IETF IPv6 Mailing List <[email-masked]>
>>Subject: RE: Forward: Re: Last Call: 'IPv6 Router Advertisement OptionforDNS	Configuration' to	ExperimentalRFC(draft-jeong-dnsop-ipv6-dns-discovery)
>
>>> Prefix delegation is a feature used by routers, not by hosts.
>>
>>I don't understand this point as it relates to the question of
>>whether/not DHCPv6 will be needed, and the more I think about
>>it the more irrelevant it seems. Prefix delegation is a feature
>>used by clients of a prefix delegation server - in DHCPv6, they
>>are the DHCP client and DHCP server. What the client actually
>>*does* with any delegated prefixes is up to the client and
>>there is no reason to pre-suppose that it will necessarily
>>behave as a router.
>>
>>Again, the question is whether there is (or will be) a
>>way of doing prefix delegation w/o DHCPv6? (If so, would
>>it be any better than DHCPv6 - or just different?)
>>
>>Fred
>>[email-masked]
>>
>>--------------------------------------------------------------------
>>IETF IPv6 working group mailing list
>>[email-masked]
>>Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
>>--------------------------------------------------------------------
>
>
>--------------------------------------------------------------------
>IETF IPv6 working group mailing list
>[email-masked]
>Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
>--------------------------------------------------------------------

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------